View Issue Details

IDProjectCategoryView StatusLast Update
0005014Talermechant backendpublic2018-04-15 20:33
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005014: testcase does not check order of history items in db method
Descriptionmerchantdb testcase does NOT verify that the order of elements given by find_proposal_data_by_date_and_range respects any criteria.
TagsNo tags attached.

Activities

Marcello Stanisci

2018-01-04 14:54

manager   ~0012726

names to be tested changed to:

* find_contract_terms_by_date
* find_contract_terms_by_date_and_range

Marcello Stanisci

2018-01-05 10:20

manager   ~0012731

f864b1d fixes this, but does something more. Instead of
checking entries as they come from the database, it checks
that the JSON returned by the /history API is well sorted.

Issue History

Date Modified Username Field Change
2017-05-16 13:37 Marcello Stanisci New Issue
2017-05-16 13:37 Marcello Stanisci Status new => assigned
2017-05-16 13:37 Marcello Stanisci Assigned To => Marcello Stanisci
2017-10-23 10:56 Christian Grothoff Severity minor => tweak
2017-10-23 10:56 Christian Grothoff Product Version => SVN HEAD
2017-10-23 10:56 Christian Grothoff Target Version => 0.6
2017-10-23 10:56 Christian Grothoff Summary Check order of history items in db method => testcase does not check order of history items in db method
2018-01-04 14:54 Marcello Stanisci Note Added: 0012726
2018-01-05 10:20 Marcello Stanisci Status assigned => resolved
2018-01-05 10:20 Marcello Stanisci Resolution open => fixed
2018-01-05 10:20 Marcello Stanisci Note Added: 0012731
2018-01-05 16:47 Christian Grothoff Fixed in Version => 0.5
2018-01-05 16:47 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:33 Christian Grothoff Status resolved => closed